Role Menus#
GET /api/guilds/{guild_id}/role-menus#
ListRoleMenus
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
Response 200 — Request fulfilled, document follows
Model: array of RoleMenuSchema
Type: array of RoleMenuSchema
POST /api/guilds/{guild_id}/role-menus#
CreateRoleMenu
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
Request body
Model: RoleMenuCreate
Field |
Type |
Required |
Description |
|---|---|---|---|
|
integer |
yes |
|
|
string |
yes |
|
|
string | null |
no |
|
|
integer |
no |
Response 201 — Document created, URL follows
Model: RoleMenuSchema
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
integer |
yes |
|
|
integer |
yes |
|
|
integer | null |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
integer |
yes |
|
|
array of RoleMenuOptionSchema |
yes |
DELETE /api/guilds/{guild_id}/role-menus/{menu_id}#
DeleteRoleMenu
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
string (uuid) |
yes |
Response 204 — Request fulfilled, nothing follows
GET /api/guilds/{guild_id}/role-menus/{menu_id}#
GetRoleMenu
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
string (uuid) |
yes |
Response 200 — Request fulfilled, document follows
Model: RoleMenuSchema
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
integer |
yes |
|
|
integer |
yes |
|
|
integer | null |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
integer |
yes |
|
|
array of RoleMenuOptionSchema |
yes |
PATCH /api/guilds/{guild_id}/role-menus/{menu_id}#
UpdateRoleMenu
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
string (uuid) |
yes |
Request body
Model: RoleMenuUpdate
Field |
Type |
Required |
Description |
|---|---|---|---|
|
integer | null |
no |
|
|
integer | null |
no |
|
|
string | null |
no |
|
|
string | null |
no |
|
|
integer | null |
no |
Response 200 — Request fulfilled, document follows
Model: RoleMenuSchema
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
integer |
yes |
|
|
integer |
yes |
|
|
integer | null |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
integer |
yes |
|
|
array of RoleMenuOptionSchema |
yes |
DELETE /api/guilds/{guild_id}/role-menus/{menu_id}/options/{role_id}#
DeleteRoleMenuOption
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
string (uuid) |
yes |
|
|
path |
integer |
yes |
Response 200 — Request fulfilled, document follows
Model: RoleMenuSchema
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
integer |
yes |
|
|
integer |
yes |
|
|
integer | null |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
integer |
yes |
|
|
array of RoleMenuOptionSchema |
yes |
PUT /api/guilds/{guild_id}/role-menus/{menu_id}/options/{role_id}#
UpsertRoleMenuOption
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
string (uuid) |
yes |
|
|
path |
integer |
yes |
Request body
Model: RoleMenuOptionUpsert
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string |
yes |
|
|
string | null |
no |
|
|
string | null |
no |
|
|
integer | null |
no |
Response 200 — Request fulfilled, document follows
Model: RoleMenuSchema
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
integer |
yes |
|
|
integer |
yes |
|
|
integer | null |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
integer |
yes |
|
|
array of RoleMenuOptionSchema |
yes |